Page MenuHomePhabricator

Synchronize wmgExtraLanguageNames setting between Wikidata and Commons, and remove Nyungar (nys) from Wikidata
Closed, ResolvedPublic

Description

Languages defined in wmgExtraLanguageNames (InitialiseSettings.php) for Wikidata should be defined for commonswiki too, so their language support would be in sync. Languages should be working just by adding them to wmgExtraLanguageNames as other changes needed are already done for Wikidata.

Language codes to be added:

		'kea' => 'Kabuverdianu',	
		'nod' => 'ᨣᩴᩤᨾᩮᩥᩬᨦ',		
		'ota' => 'لسان توركى',	       
		'rwr' => 'मारवाड़ी',		
		'sje' => 'bidumsámegiella',  
		'smj' => 'julevsámegiella',  
		'srq' => 'mbia cheë',

Besides, Nyungar (nys) should be removed on Wikidata's setting as it was added to the MediaWiki core in 2018 (T182305).

Event Timeline

Zache created this task.Aug 14 2019, 1:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2019, 1:44 PM
Zache updated the task description. (Show Details)Aug 14 2019, 1:48 PM
Zache updated the task description. (Show Details)
Zache updated the task description. (Show Details)
4nn1l2 claimed this task.Sep 15 2019, 9:51 AM
4nn1l2 added a subscriber: 4nn1l2.Sep 15 2019, 12:18 PM

Change 536764 had a related patch set uploaded (by 4nn1l2; owner: 4nn1l2):
[operations/mediawiki-config@master] Add support for some languages on Commons

https://gerrit.wikimedia.org/r/536764

4nn1l2 added subscribers: Zoranzoki21, Urbanecm.EditedSep 15 2019, 2:22 PM

@Zoranzoki21 @Zache @Urbanecm
After making the patch, I noticed that nys was added to MediaWiki in January 2018 (T182305). It should be removed from both Commons and Wikidata (See T127858 for its addition task). Should I amend the current patch, or should I open another Phabricator task? Please advise.

Zache added a comment.Sep 15 2019, 4:38 PM

I would amend the patch and edit the task description to include removing the redundant nys.

4nn1l2 renamed this task from Syncronize wmgExtraLanguageNames languages between Wikidata and Wikimedia Commons to Synchronize language support between Wikidata and Commons, and stop support for Nyungar (nys).Sep 16 2019, 4:34 AM
4nn1l2 updated the task description. (Show Details)
Zache renamed this task from Synchronize language support between Wikidata and Commons, and stop support for Nyungar (nys) to Synchronize wmgExtraLanguageNames setting between Wikidata and Commons, and remove Nyungar (nys) from Wikidata.Sep 16 2019, 5:03 AM
Zache updated the task description. (Show Details)Sep 16 2019, 5:06 AM

I would amend the patch and edit the task description to include removing the redundant nys.

I agree.

Change 538427 had a related patch set uploaded (by 4nn1l2; owner: 4nn1l2):
[operations/mediawiki-config@master] Add support for some languages on Commons and stop support for nys on Wikidata

https://gerrit.wikimedia.org/r/538427

Change 536764 abandoned by 4nn1l2:
Add support for some languages on Commons and stop support for nys on Wikidata

Reason:
See https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /538427

https://gerrit.wikimedia.org/r/536764

Change 538427 merged by jenkins-bot:
[operations/mediawiki-config@master] Add support for some languages on Commons and stop support for nys on Wikidata

https://gerrit.wikimedia.org/r/538427

Mentioned in SAL (#wikimedia-operations) [2019-09-24T11:41:53Z] <urbanecm@deploy1001> Synchronized wmf-config/VariantSettings.php: SWAT: 11a48f8: Add support for some languages on Commons and stop support for nys on Wikidata (T230480) (duration: 00m 56s)

Urbanecm closed this task as Resolved.Tue, Sep 24, 11:42 AM

Deployded.